Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations cowski on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Text in an Existing Block 1

Status
Not open for further replies.

WillOMalley

Computer
Mar 10, 2004
18
How do I change the Text in an Existing Block?
The ACADBlock it's self does not have a TextString property or a Update property..

Thanks
Will
 
Replies continue below

Recommended for you

in ACAD 2000 and above, you can use the Refedit toolbar/Refedit command to modify and save an existing block in a master drawing. Hope this helps - John
 
Here is a piece of code I have used that should give you an idea...


For Each acBlock In ThisDrawing.blocks 'check against block collection
'Toggle through each object in block
For intCnt = 0 To acBlock.Count - 1
If acBlock(intCnt).objectName = "AcDbText" Then
acBlock(intCnt).ScaleFactor = dblTxtSclFac
acBlock(intCnt).Update
End If
Next intCnt
Next acBlock


"Everybody is ignorant, only on different subjects." — Will Rogers
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor